On Saturday 12 April 2008 02:13:40 Joseph Simmons wrote:

> I have Apache 2.2.6 installed and running, I've tried to install PHP
> several times, below is what the terminal gives me when I try to
> install PHP5 from the port collection.
> Thanks
>
>
> cougar# pwd
> /usr/ports/lang/php5
> cougar# make install
> ===>  Building for php5-5.2.5
> "Makefile", line 588: warning: duplicate script for target
> "main/internal_functions.lo" ignored
> /bin/sh /usr/ports/lang/php5/work/php-5.2.5/libtool
> --preserve-dup-deps --mode=compile cc  -DHAVE_MYSQL_H
> -I/usr/local/include/apache22   -I/usr/local/include/apr-1
> -I/usr/local/include/apr-1 -I/usr/local/include
> -I/usr/local/include/mysql -Isapi/apache2handler/
> -I/usr/ports/lang/php5/work/php-5.2.5/sapi/apache2handler/
> -DPHP_ATOM_INC -I/usr/ports/lang/php5/work/php-5.2.5/include
> -I/usr/ports/lang/php5/work/php-5.2.5/main
> -I/usr/ports/lang/php5/work/php-5.2.5 -I/usr/local/include/libxml2
> -I/usr/local/include
> -I/usr/ports/lang/php5/work/php-5.2.5/ext/date/lib
> -I/usr/ports/lang/php5/work/php-5.2.5/TSRM
> -I/usr/ports/lang/php5/work/php-5.2.5/Zend    -pipe -g -O0 -Wall
> -prefer-non-pic -c
> /usr/ports/lang/php5/work/php-5.2.5/sapi/apache2handler/mod_php5.c -o
> sapi/apache2handler/mod_php5.lo
>  cc -DHAVE_MYSQL_H -I/usr/local/include/apache22
> -I/usr/local/include/apr-1 -I/usr/local/include/apr-1
> -I/usr/local/include -I/usr/local/include/mysql -Isapi/apache2handler/
> -I/usr/ports/lang/php5/work/php-5.2.5/sapi/apache2handler/
> -DPHP_ATOM_INC -I/usr/ports/lang/php5/work/php-5.2.5/include
> -I/usr/ports/lang/php5/work/php-5.2.5/main
> -I/usr/ports/lang/php5/work/php-5.2.5 -I/usr/local/include/libxml2
> -I/usr/local/include
> -I/usr/ports/lang/php5/work/php-5.2.5/ext/date/lib
> -I/usr/ports/lang/php5/work/php-5.2.5/TSRM
> -I/usr/ports/lang/php5/work/php-5.2.5/Zend -pipe -g -O0 -Wall -c
> /usr/ports/lang/php5/work/php-5.2.5/sapi/apache2handler/mod_php5.c -o
> sapi/apache2handler/.libs/mod_php5.o
> In file included from
> /usr/ports/lang/php5/work/php-5.2.5/sapi/apache2handler/mod_php5.c:26:
> /usr/ports/lang/php5/work/php-5.2.5/sapi/apache2handler/php_apache.h:24:19:
> error: httpd.h: No such file or directory

Where is your apache installed? Did you by any chance alter the PREFIX?
-- 
Mel

Problem with today's modular software: they start with the modules
    and never get to the software part.
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to